declare const _sfc_main: {
    name: string;
    components: {
        ATreeSelect: any;
        ADivider: any;
        ACheckbox: any;
        VNodes: (_: any, { attrs }: {
            attrs: any;
        }) => any;
    };
    props: {
        data: {
            type?: import("vue").PropType<import("./props").TreeSelectOptions>;
            default?: import("./props").TreeSelectOptions;
        };
        value: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        dataFieldNames: {
            type?: import("vue").PropType<{
                label: string;
                value: string;
                children: string;
            }>;
            default?: {
                label: string;
                value: string;
                children: string;
            };
        };
        multiple: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        maxTagCount: {
            type?: import("vue").PropType<number>;
            default?: number;
        };
        placeholder: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        treeCheckable: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        treeCheckStrictly: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        selectFirstOption: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        graphicConfig: {
            type?: import("vue").PropType<{
                [key: string]: any;
            }>;
            default?: {
                [key: string]: any;
            };
        };
        selectAllOption: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        hasAllCheck: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        id: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        name: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        keyName: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        type: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        width: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        height: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        position: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        top: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        left: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        zIndex: {
            type?: import("vue").PropType<number>;
            default?: number;
        };
        rotate: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        isShow: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        isRender: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        events: {
            type?: import("vue").PropType<import("../../utils/props").Events>;
            default?: import("../../utils/props").Events;
        };
        requestUrl: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        requestMethod: {
            type?: import("vue").PropType<import("../../utils/props").RequestMethod>;
            default?: import("../../utils/props").RequestMethod;
        };
        requestHeaders: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        isOpenRequestTimer: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        isViewRedrawing: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        requestInterval: {
            type?: import("vue").PropType<number>;
            default?: number;
        };
        requestParams: {
            type?: import("vue").PropType<import("../../utils/props").RequestParams>;
            default?: import("../../utils/props").RequestParams;
        };
        requestSort: {
            type?: import("vue").PropType<number>;
            default?: number;
        };
        dataType: {
            type?: import("vue").PropType<"indicator" | "request" | "component" | "static">;
            default?: "indicator" | "request" | "component" | "static";
        };
        scale?: {
            type?: import("vue").PropType<number>;
            default?: number;
        };
        requestParamsMode: {
            type?: import("vue").PropType<"2" | "1">;
            default?: "2" | "1";
        };
        customRequestParams: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        dataSetParam?: {
            type?: import("vue").PropType<any>;
            default?: any;
        };
        requestType?: {
            type?: import("vue").PropType<any>;
            default?: any;
        };
        componentDoc?: {
            type?: import("vue").PropType<null>;
            default?: null;
        };
        extendData?: {
            type?: import("vue").PropType<{
                [key: string]: any;
            }>;
            default?: {
                [key: string]: any;
            };
        };
        toolboxShow?: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        isShowIndDetail?: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        isShowTrend?: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        isShowSource?: {
            type?: import("vue").PropType<boolean>;
            default?: boolean;
        };
        indDetailIconColor?: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
        indDetailIconFontSize?: {
            type?: import("vue").PropType<string>;
            default?: string;
        };
    };
    setup(props: any, { expose }: {
        expose: any;
    }): {
        style: import("vue").ComputedRef<import("vue").HTMLAttributes>;
        treeData: any;
        filterTreeNode: (inputValue: string, treeNode: any) => boolean;
        myValue: import("vue").Ref<any>;
        loading: import("vue").Ref<boolean>;
        selectChange: () => void;
        isMultiple: import("vue").ComputedRef<any>;
        isCheckAll: import("vue").Ref<boolean>;
        indeterminate: import("vue").Ref<boolean>;
        hideCheckAll: import("vue").Ref<boolean>;
        renderDropdown: ({ menuNode }: {
            menuNode: any;
        }) => any;
        onOptionAll: (e: any) => void;
        onSearch: (value: string) => void;
        onSelect: () => void;
        onDropdownVisibleChange: (open: boolean) => void;
    };
};
export default _sfc_main;
